Module java.desktop
Package javax.swing.plaf.basic

## Class BasicSplitPaneDivider.VerticalDragController

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneDivider.DragController
  - - javax.swing.plaf.basic.BasicSplitPaneDivider.VerticalDragController

Enclosing class:
  BasicSplitPaneDivider

    protected class BasicSplitPaneDivider.VerticalDragController
    extends BasicSplitPaneDivider.DragController

Handles the events during a dragging session for a VERTICAL_SPLIT oriented split pane. This continually messages `dragDividerTo` and then when done messages `finishDraggingTo`. When an instance is created it should be messaged with `isValid` to insure that dragging can happen (dragging won't be allowed if the two views can not be resized).

### Constructor Summary

Constructors
`protected` `VerticalDragController(MouseEvent e)` Constructs a new instance of `VerticalDragController`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `getNeededLocation(int x, int y)` Returns the y argument, since this is used for vertical splits.
`protected int` `positionForMouseEvent(MouseEvent e)` Returns the new position to put the divider at based on the passed in MouseEvent.

### Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneDivider.DragController

`completeDrag, completeDrag, continueDrag, continueDrag, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VerticalDragController

    protected VerticalDragController(MouseEvent e)

Constructs a new instance of `VerticalDragController`.

Parameters:
  `e` - a mouse event

### Method Detail

#### getNeededLocation

    protected int getNeededLocation(int x,
                                    int y)

Returns the y argument, since this is used for vertical splits.

Overrides:
  `getNeededLocation` in class `BasicSplitPaneDivider.DragController`
Parameters:
  `x` - an X coordinate
  `y` - an Y coordinate
Returns:
  the X argument

#### positionForMouseEvent

    protected int positionForMouseEvent(MouseEvent e)

Returns the new position to put the divider at based on the passed in MouseEvent.

Overrides:
  `positionForMouseEvent` in class `BasicSplitPaneDivider.DragController`
Parameters:
  `e` - a mouse event
Returns:
  the new position